#!/bin/sh
#
# This file creates a w32 binary release
#
STRIP=i586-mingw32msvc-strip
#./mingw32-configure.sh
(cd .. ; make all)
VERSION=0.70
DDIR="`pwd`/Enigma-$VERSION"
SDIR=../
rm -rf $DDIR
#make install prefix="$DDIR"

mkdir $DDIR $DDIR/data $DDIR/data/gfx $DDIR/data/levels $DDIR/data/sound $DDIR/data/fonts
cp -rp $SDIR/data/gfx/*.png $DDIR/data/gfx
cp -rp $SDIR/data/gfx/enigma.pal $DDIR/data/gfx
cp -rp $SDIR/data/levels/*.png $SDIR/data/levels/*.txt $SDIR/data/levels/*.lua $DDIR/data/levels
cp -rp $SDIR/data/fonts/*.png $SDIR/data/fonts/*.{bmf,txt} $DDIR/data/fonts
cp -rp $SDIR/data/sound/*.{wav,s3m} $DDIR/data/sound

perl ./nlcvt.pl unix2dos $SDIR/README >$DDIR/README.txt
perl ./nlcvt.pl unix2dos ./README-SDL.txt >$DDIR/README-SDL.txt
perl ./nlcvt.pl unix2dos $SDIR/AUTHORS >$DDIR/AUTHORS.txt
perl ./nlcvt.pl unix2dos $SDIR/doc/CREATING-LEVELS >$DDIR/CREATING-LEVELS.txt

cp -p $SDIR/data/*.lua $DDIR/data/
cp -p $SDIR/src/enigma.exe $DDIR/enigma.exe
cp *.dll $DDIR/
$STRIP "$DDIR/enigma.exe"
rm -f enigma-w32-$VERSION.zip
zip -r enigma-w32-$VERSION.zip "Enigma-$VERSION"
rm -rf $DDIR
